TEMPLATE = app

TARGET = preprocessor

NONGTP = ../../../../../../NonGTP

#win32:INCLUDEPATH += c:/STLport-4.6.2/stlport
win32:INCLUDEPATH += "d:/Programs/NVIDIA Corporation/Cg/include"

unix:INCLUDEPATH += ../support/src/xerces-c-src_2_7_0/include

INCLUDEPATH += ../src  $$NONGTP/Xerces/xerces/include  $$NONGTP/Zlib/include $$NONGTP/Boost $$NONGTP/Devil/include


win32:LIBPATH += $$NONGTP/Xerces/xerces/lib $$NONGTP/Devil/lib "d:/Programs/NVIDIA Corporation/Cg/lib"
unix:LIBPATH += ../support/src/xerces-c-src_2_7_0/lib ../support/devil/lib /usr/lib/qt3/lib64

#win32:LIBPATH += c:/STLport-4.6.2/lib

# debuc config
CONFIG		+= console warn_off thread release qt

# RELEASE CONFIG
#CONFIG		+= windows warn_on thread release

# DEPENDPATH	= ../../include

QT += opengl

win32:LIBS += xerces-c_2.lib devil.lib ilu.lib ilut.lib cg.lib cgGL.lib
unix:LIBS += -lxerces-c -lIL -lILU -lILUT

# Input
HEADERS += Halton.h VssRay.h VssPreprocessor.h RssTree.h GlRenderer.h \
PreprocessorThread.h Preprocessor.h Beam.h


SOURCES += \
Preprocessor.cpp SamplingPreprocessor.cpp ExactPreprocessor.cpp \
KdTree.cpp Environment.cpp gzstream.cpp common.cpp \
UnigraphicsParser.cpp X3dExporter.cpp SceneGraph.cpp Material.cpp \
Matrix4x4.cpp Vector3.cpp AxisAlignedBox3.cpp Ray.cpp main.cpp Mesh.cpp \
Exporter.cpp Camera.cpp X3dParser.cpp MeshKdTree.cpp Pvs.cpp \
MutualVisibility.cpp Triangle3.cpp Rectangle3.cpp Plane3.cpp Polygon3.cpp \
ViewCell.cpp ViewCellBsp.cpp Halton.cpp VssRay.cpp VssTree.cpp VssPreprocessor.cpp \
RenderSimulator.cpp VspKdTree.cpp RayInfo.cpp RssTree.cpp RssPreprocessor.cpp \
ViewCellsManager.cpp VspBspTree.cpp GlRenderer.cpp \
PreprocessorThread.cpp Renderer.cpp Beam.cpp ViewCellsParser.cpp Tetrahedron3.cpp

